xoops forums

Mamba

Moderator
Posted on: 4/15 6:30
Mamba
Mamba (Show more)
Moderator
Posts: 10742
Since: 2004/4/23
#31

Re: Adslight 2.2 error after upgrade 2.5.8

Please test this RC2 version:

https://github.com/mambax7/adslight/releases/tag/2.3_RC2
Support XOOPS => DONATE
Use 2.5.10 | Docs | Modules | Bugs

Yurdal

Friend of XOOPS
Posted on: 4/15 16:59
Yurdal
Yurdal (Show more)
Friend of XOOPS
Posts: 361
Since: 2005/3/27
#32

Re: Adslight 2.2 error after upgrade 2.5.8

Ok there is progress, adding category went fine:

No error on the xoops site but apache logs has this:

[Mon Apr 15 18:35:07.442136 2019] [proxy_fcgi:error] [client x.x.x.x.x:42111] AH01071: Got error 'PHP message: PHP Warning: include(/home/admin/domains/site.com/public_html/class/libraries/vendor/composer/../kint-php/kint/src/Kint.php): failed to open stream: No such file or directory in /home/site.com/public_html/class/libraries/vendor/composer/ClassLoader.php on line 444\nPHP message: PHP Warning: include(): Failed opening '/home/site.com/public_html/class/libraries/vendor/composer/../kint-php/kint/src/Kint.php' for inclusion (include_path='.:/usr/local/php72/lib/php') in /home/site.com/public_html/class/libraries/vendor/composer/ClassLoader.php on line 444\n', referer: https://site.com
-------------------------------------
viewads in admin section doenst show anything
---------------------------------------------------------
adding listing is ok, but if you want make changes it doesn't trow any errors but it doesnt change anything, maybe something to do with the first error

Mamba

Moderator
Posted on: 4/15 17:16
Mamba
Mamba (Show more)
Moderator
Posts: 10742
Since: 2004/4/23
#33

Re: Adslight 2.2 error after upgrade 2.5.8

Well, I don't think that Kint or composer have anything to do with it , as they are not use by Adslight.

Can you test changing the listing on the front end? I was testing it yesterday and today, and it worked just fine.

I just tested in it also on the back-end, and it also worked.

Try to make changes on the front end, and let me know...

I might have to rewrite the whole module because the code is just too old, and it's hard to make changes....
Support XOOPS => DONATE
Use 2.5.10 | Docs | Modules | Bugs

Yurdal

Friend of XOOPS
Posted on: 4/15 17:27
Yurdal
Yurdal (Show more)
Friend of XOOPS
Posts: 361
Since: 2005/3/27
#34

Re: Adslight 2.2 error after upgrade 2.5.8

Hi mamba, i have delete and add a new ad and tried to modify the ad but as said system says that it is modified but in real live it remains as it was added in the first place
Adding pictures went fine
I don't see any errors in Apache or Xoops

Mamba

Moderator
Posted on: 4/15 18:25
Mamba
Mamba (Show more)
Moderator
Posts: 10742
Since: 2004/4/23
#35

Re: Adslight 2.2 error after upgrade 2.5.8

I've installed it on our demo system, and it seems to be working OK, i.e. I was able to add a new ad, and modify it, incl. adding pictures to it.

This is the main view:

http://demo.xoops.org/modules/adslight/

and here is the add that I've added and modified:

http://demo.xoops.org/modules/adslight/viewads.php?lid=1

If you can provide steps/data that I can reproduce, I would be glad to look into it.

My system here:
XOOPS Version XOOPS 2.5.10-RC
PHP Version 7.2.17
mySQL Version 5.5.53-MariaDB

BTW - I've changed couple of files, and while I don't think that it's related to your issue, please try it:
https://github.com/mambax7/adslight/releases/tag/2.3_RC2c
Support XOOPS => DONATE
Use 2.5.10 | Docs | Modules | Bugs

Yurdal

Friend of XOOPS
Posted on: 4/15 19:13
Yurdal
Yurdal (Show more)
Friend of XOOPS
Posts: 361
Since: 2005/3/27
#36

Re: Adslight 2.2 error after upgrade 2.5.8

Really weird, uploaded latest version
Reinstalled from scratch
added a ad in a existing category
tried to edit from admin side as user side, dont change anything
Used 2 different pc , one windows , one linux desktop
used firefox, chrome same outcome

out of ideas here, i can give you a admin to the test system if you want

Mamba

Moderator
Posted on: 4/15 21:28
Mamba
Mamba (Show more)
Moderator
Posts: 10742
Since: 2004/4/23
#37

Re: Adslight 2.2 error after upgrade 2.5.8

Sure, send me a PM with your server info, plus FTP and phpMyAdmin, and I'll take a look that.
Support XOOPS => DONATE
Use 2.5.10 | Docs | Modules | Bugs

Yurdal

Friend of XOOPS
Posted on: 4/16 18:40
Yurdal
Yurdal (Show more)
Friend of XOOPS
Posts: 361
Since: 2005/3/27
#38

Re: Adslight 2.2 error after upgrade 2.5.8

Quote:

Mamba wrote:
Sure, send me a PM with your server info, plus FTP and phpMyAdmin, and I'll take a look that.

PM send

masel

Friend of XOOPS
Posted on: 4/16 20:37
masel
masel (Show more)
Friend of XOOPS
Posts: 30
Since: 2004/10/6
#39

Re: Adslight 2.2 error after upgrade 2.5.8

I am testing 2.3_RC2c. Main page without Categories listing.

Mamba

Moderator
Posted on: 4/16 23:45
Mamba
Mamba (Show more)
Moderator
Posts: 10742
Since: 2004/4/23
#40

Re: Adslight 2.2 error after upgrade 2.5.8

Yourdal, everything seems to be working OK. I uninstalled and installed again Adslight with the latest files from GitHub (i.e. 2.3 RC2c)

Can you test it now yourself?
Support XOOPS => DONATE
Use 2.5.10 | Docs | Modules | Bugs